/*
    Forms
*/

::-webkit-input-placeholder {
    color: $biscay;
    opacity: 1;
}

:-moz-placeholder {
    color: $biscay;
    opacity: 1;
}

::-moz-placeholder {
    color: $biscay;
    opacity: 1;
}

:-ms-input-placeholder {
    color: $biscay;
    opacity: 1;
}

input[type="text"],
input[type="email"],
input[type="tel"],
input[type="number"],
input[type="password"],
input[type="search"],
textarea,
select,
button {
    appearance: none;
    outline: none;
}

input[type="submit"] {
    @extend .button;
    cursor: pointer;
}

select,
textarea,
input[type="text"],
input[type="tel"],
input[type="email"] {
    padding: 0.8em .5em;
    font-size: 1.1rem;
    line-height: 1.3rem;
    background: $white;
    border: 0;
    border-radius: 0;
    border-bottom: 1px solid $athens-gray-light;
    -webkit-appearance: none;
    box-sizing: border-box;
    outline: none;

    &:focus {
        border-color: $black;
    }
}

button {
    box-sizing: border-box;
    background: $white;
    font-size: 1rem;
    text-decoration: none;
    color: $black;
    padding: .65em 1.5em;
    margin-top: 1.5em;
    border: 2px solid;
    border-radius: 50px;
}

select {
    padding: 0.5em 0.4em;
}

label {
    margin: 0.5em 0;
    font-weight: 600;
    color: $black;
}

input[type='radio']:after {
    width: 14px;
    height: 14px;
    border-radius: 100%;
    top: -3px;
    left: -1px;
    position: relative;
    background-color: $white;
    content: '';
    display: inline-block;
    visibility: visible;
    border: 2px solid $mercury;
}

input[type='radio']:checked:after {
    width: 14px;
    height: 14px;
    border-radius: 100%;
    top: -3px;
    left: -1px;
    position: relative;
    background-color: $black;
    content: '';
    display: inline-block;
    visibility: visible;
    border: 2px solid $black;
}

.form {
    display: flex;
    flex-direction: column;
    align-items: flex-start;

    &__field {
        width: 100%;
        margin: .5em 0;
        display: flex;
        flex-direction: column;
    }

    &__label {
        margin: 1.5em 0 .5em;
        font-weight: 600;
    }

    &__input {
        width: 100%;
    }
}